import { ComponentFixture, TestBed } from '@angular/core/testing';

import { PoolDetailsMembersComponent } from './pool-details-members.component';
import { HttpClientTestingModule } from '@angular/common/http/testing';
import { RouterTestingModule } from '@angular/router/testing';
import { MatDialogModule } from '@angular/material/dialog';

describe('PoolDetailsMembersComponent', () => {
  let component: PoolDetailsMembersComponent;
  let fixture: ComponentFixture<PoolDetailsMembersComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      declarations: [PoolDetailsMembersComponent],
      imports: [
        HttpClientTestingModule, RouterTestingModule, MatDialogModule,
      ],
    })
      .compileComponents();
  });

  beforeEach(() => {
    fixture = TestBed.createComponent(PoolDetailsMembersComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
